Create Collection Table Views
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/table-views/collections \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"surface": "collection_entries",
"configuration": {
"schemaVersion": 1,
"columns": [
"<string>"
],
"quickFilters": {
"status": [
"<string>"
],
"categoryIds": [
"<string>"
],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>"
}
]
},
"advancedFilter": {
"sets": [
{
"conditions": [
{
"fieldKey": "<string>",
"values": [
"<string>"
]
}
]
}
]
},
"groupBy": [
{
"fieldKey": "<string>"
}
],
"sort": [
{
"fieldKey": "<string>"
}
]
},
"teamIds": [],
"isDefault": false,
"defaultPriority": 0
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/table-views/collections"
payload = {
"name": "<string>",
"surface": "collection_entries",
"configuration": {
"schemaVersion": 1,
"columns": ["<string>"],
"quickFilters": {
"status": ["<string>"],
"categoryIds": ["<string>"],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>"
}
]
},
"advancedFilter": { "sets": [{ "conditions": [
{
"fieldKey": "<string>",
"values": ["<string>"]
}
] }] },
"groupBy": [{ "fieldKey": "<string>" }],
"sort": [{ "fieldKey": "<string>" }]
},
"teamIds": [],
"isDefault": False,
"defaultPriority": 0
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
surface: 'collection_entries',
configuration: {
schemaVersion: 1,
columns: ['<string>'],
quickFilters: {
status: ['<string>'],
categoryIds: ['<string>'],
columnFilters: [{fieldKey: '<string>', type: 'text', value: '<string>'}]
},
advancedFilter: {sets: [{conditions: [{fieldKey: '<string>', values: ['<string>']}]}]},
groupBy: [{fieldKey: '<string>'}],
sort: [{fieldKey: '<string>'}]
},
teamIds: [],
isDefault: false,
defaultPriority: 0
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/table-views/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"surface": "catalog_products",
"configuration": {
"schemaVersion": 1,
"columns": [
"<string>"
],
"quickFilters": {
"status": [
"<string>"
],
"categoryIds": [
"<string>"
],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>",
"mode": "contains"
}
]
},
"advancedFilter": {
"sets": [
{
"conditions": [
{
"fieldKey": "<string>",
"operator": "is_any_of",
"values": [
"<string>"
]
}
]
}
]
},
"groupBy": [
{
"fieldKey": "<string>",
"direction": "asc"
}
],
"sort": [
{
"fieldKey": "<string>",
"direction": "asc"
}
],
"components": {
"columns": [
"<string>"
],
"parentSearch": "<string>",
"parentCategoryId": "<string>",
"search": "<string>",
"componentCategoryId": "<string>"
}
},
"version": 4503599627370496,
"scope": "workspace",
"ownerId": "<string>",
"teamIds": [
"<string>"
],
"isDefault": true,
"defaultPriority": 500,
"canManage": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Collection Table Views
Create Collection Table Views
POST
/
v1
/
workspaces
/
{workspaceId}
/
table-views
/
collections
Create Collection Table Views
Path Parameters
Body
application/json
Required string length:
1 - 255Allowed value:
"collection_entries"Show child attributes
Show child attributes
Available options:
workspace, teams, private Maximum array length:
100Required range:
0 <= x <= 1000Response
201 - application/json
Required string length:
1 - 255Available options:
catalog_products, catalog_materials, collection_entries, project_specifications Show child attributes
Show child attributes
Required range:
1 <= x <= 9007199254740991Available options:
workspace, teams, private Required range:
0 <= x <= 1000Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I